Skip to content

@line/bot-sdk


@line/bot-sdk / messagingApi / MessagingApiClient

Class: MessagingApiClient ​

Defined in: lib/messaging-api/api/messagingApiClient.ts:102

See ​

LineBotClient for a unified interface that wraps this client.

Constructors ​

Constructor ​

new MessagingApiClient(config): MessagingApiClient

Defined in: lib/messaging-api/api/messagingApiClient.ts:118

Initializes a new MessagingApiClient.

Parameters ​

config ​

httpClientConfig

Configuration for this API client.

Returns ​

MessagingApiClient

Example ​

ts
const client = new MessagingApiClient({
  channelAccessToken: process.env.LINE_CHANNEL_ACCESS_TOKEN!,
});

Methods ​

broadcast() ​

broadcast(broadcastRequest, xLineRetryKey?): Promise<object>

Defined in: lib/messaging-api/api/messagingApiClient.ts:138

Sends a message to multiple users at any time. Calls POST https://api.line.me/v2/bot/message/broadcast. To inspect the HTTP status code or response headers, use broadcastWithHttpInfo.

Parameters ​

broadcastRequest ​

BroadcastRequest

xLineRetryKey? ​

string

Retry key. Specifies the UUID in hexadecimal format (e.g., 123e4567-e89b-12d3-a456-426614174000) generated by any method. The retry key isn't generated by LINE. Each developer must generate their own retry key.

Returns ​

Promise<object>

A promise resolving to the response body.

See ​

LINE Developers documentation


broadcastWithHttpInfo() ​

broadcastWithHttpInfo(broadcastRequest, xLineRetryKey?): Promise<ApiResponseType<object>>

Defined in: lib/messaging-api/api/messagingApiClient.ts:155

Sends a message to multiple users at any time. Calls POST https://api.line.me/v2/bot/message/broadcast. This method returns the response body together with the underlying httpResponse.

Parameters ​

broadcastRequest ​

BroadcastRequest

xLineRetryKey? ​

string

Retry key. Specifies the UUID in hexadecimal format (e.g., 123e4567-e89b-12d3-a456-426614174000) generated by any method. The retry key isn't generated by LINE. Each developer must generate their own retry key.

Returns ​

Promise<ApiResponseType<object>>

A promise resolving to the response body together with the underlying httpResponse.

See ​

LINE Developers documentation


cancelDefaultRichMenu() ​

cancelDefaultRichMenu(): Promise<MessageAPIResponseBase>

Defined in: lib/messaging-api/api/messagingApiClient.ts:181

Cancel default rich menu Calls DELETE https://api.line.me/v2/bot/user/all/richmenu. To inspect the HTTP status code or response headers, use cancelDefaultRichMenuWithHttpInfo.

Returns ​

Promise<MessageAPIResponseBase>

A promise resolving to the response body.

See ​

LINE Developers documentation


cancelDefaultRichMenuWithHttpInfo() ​

cancelDefaultRichMenuWithHttpInfo(): Promise<ApiResponseType<MessageAPIResponseBase>>

Defined in: lib/messaging-api/api/messagingApiClient.ts:192

Cancel default rich menu Calls DELETE https://api.line.me/v2/bot/user/all/richmenu. This method returns the response body together with the underlying httpResponse.

Returns ​

Promise<ApiResponseType<MessageAPIResponseBase>>

A promise resolving to the response body together with the underlying httpResponse.

See ​

LINE Developers documentation


closeCoupon() ​

closeCoupon(couponId): Promise<MessageAPIResponseBase>

Defined in: lib/messaging-api/api/messagingApiClient.ts:208

Close coupon Calls PUT https://api.line.me/v2/bot/coupon/{couponId}/close. To inspect the HTTP status code or response headers, use closeCouponWithHttpInfo.

Parameters ​

couponId ​

string

Returns ​

Promise<MessageAPIResponseBase>

A promise resolving to the response body.

See ​

LINE Developers documentation


closeCouponWithHttpInfo() ​

closeCouponWithHttpInfo(couponId): Promise<ApiResponseType<MessageAPIResponseBase>>

Defined in: lib/messaging-api/api/messagingApiClient.ts:222

Close coupon Calls PUT https://api.line.me/v2/bot/coupon/{couponId}/close. This method returns the response body together with the underlying httpResponse.

Parameters ​

couponId ​

string

Returns ​

Promise<ApiResponseType<MessageAPIResponseBase>>

A promise resolving to the response body together with the underlying httpResponse.

See ​

LINE Developers documentation


createCoupon() ​

createCoupon(couponCreateRequest?): Promise<CouponCreateResponse>

Defined in: lib/messaging-api/api/messagingApiClient.ts:242

Create a new coupon. Define coupon details such as type, title, and validity period. Calls POST https://api.line.me/v2/bot/coupon. To inspect the HTTP status code or response headers, use createCouponWithHttpInfo.

Parameters ​

couponCreateRequest? ​

CouponCreateRequest

Returns ​

Promise<CouponCreateResponse>

A promise resolving to the response body.

See ​

LINE Developers documentation


createCouponWithHttpInfo() ​

createCouponWithHttpInfo(couponCreateRequest?): Promise<ApiResponseType<CouponCreateResponse>>

Defined in: lib/messaging-api/api/messagingApiClient.ts:256

Create a new coupon. Define coupon details such as type, title, and validity period. Calls POST https://api.line.me/v2/bot/coupon. This method returns the response body together with the underlying httpResponse.

Parameters ​

couponCreateRequest? ​

CouponCreateRequest

Returns ​

Promise<ApiResponseType<CouponCreateResponse>>

A promise resolving to the response body together with the underlying httpResponse.

See ​

LINE Developers documentation


createRichMenu() ​

createRichMenu(richMenuRequest): Promise<RichMenuIdResponse>

Defined in: lib/messaging-api/api/messagingApiClient.ts:274

Create rich menu Calls POST https://api.line.me/v2/bot/richmenu. To inspect the HTTP status code or response headers, use createRichMenuWithHttpInfo.

Parameters ​

richMenuRequest ​

RichMenuRequest

Returns ​

Promise<RichMenuIdResponse>

A promise resolving to the response body.

See ​

LINE Developers documentation


createRichMenuAlias() ​

createRichMenuAlias(createRichMenuAliasRequest): Promise<MessageAPIResponseBase>

Defined in: lib/messaging-api/api/messagingApiClient.ts:306

Create rich menu alias Calls POST https://api.line.me/v2/bot/richmenu/alias. To inspect the HTTP status code or response headers, use createRichMenuAliasWithHttpInfo.

Parameters ​

createRichMenuAliasRequest ​

CreateRichMenuAliasRequest

Returns ​

Promise<MessageAPIResponseBase>

A promise resolving to the response body.

See ​

LINE Developers documentation


createRichMenuAliasWithHttpInfo() ​

createRichMenuAliasWithHttpInfo(createRichMenuAliasRequest): Promise<ApiResponseType<MessageAPIResponseBase>>

Defined in: lib/messaging-api/api/messagingApiClient.ts:322

Create rich menu alias Calls POST https://api.line.me/v2/bot/richmenu/alias. This method returns the response body together with the underlying httpResponse.

Parameters ​

createRichMenuAliasRequest ​

CreateRichMenuAliasRequest

Returns ​

Promise<ApiResponseType<MessageAPIResponseBase>>

A promise resolving to the response body together with the underlying httpResponse.

See ​

LINE Developers documentation


createRichMenuWithHttpInfo() ​

createRichMenuWithHttpInfo(richMenuRequest): Promise<ApiResponseType<RichMenuIdResponse>>

Defined in: lib/messaging-api/api/messagingApiClient.ts:288

Create rich menu Calls POST https://api.line.me/v2/bot/richmenu. This method returns the response body together with the underlying httpResponse.

Parameters ​

richMenuRequest ​

RichMenuRequest

Returns ​

Promise<ApiResponseType<RichMenuIdResponse>>

A promise resolving to the response body together with the underlying httpResponse.

See ​

LINE Developers documentation


deleteRichMenu() ​

deleteRichMenu(richMenuId): Promise<MessageAPIResponseBase>

Defined in: lib/messaging-api/api/messagingApiClient.ts:340

Deletes a rich menu. Calls DELETE https://api.line.me/v2/bot/richmenu/{richMenuId}. To inspect the HTTP status code or response headers, use deleteRichMenuWithHttpInfo.

Parameters ​

richMenuId ​

string

ID of a rich menu

Returns ​

Promise<MessageAPIResponseBase>

A promise resolving to the response body.

See ​

LINE Developers documentation


deleteRichMenuAlias() ​

deleteRichMenuAlias(richMenuAliasId): Promise<MessageAPIResponseBase>

Defined in: lib/messaging-api/api/messagingApiClient.ts:374

Delete rich menu alias Calls DELETE https://api.line.me/v2/bot/richmenu/alias/{richMenuAliasId}. To inspect the HTTP status code or response headers, use deleteRichMenuAliasWithHttpInfo.

Parameters ​

richMenuAliasId ​

string

Rich menu alias ID that you want to delete.

Returns ​

Promise<MessageAPIResponseBase>

A promise resolving to the response body.

See ​

LINE Developers documentation


deleteRichMenuAliasWithHttpInfo() ​

deleteRichMenuAliasWithHttpInfo(richMenuAliasId): Promise<ApiResponseType<MessageAPIResponseBase>>

Defined in: lib/messaging-api/api/messagingApiClient.ts:388

Delete rich menu alias Calls DELETE https://api.line.me/v2/bot/richmenu/alias/{richMenuAliasId}. This method returns the response body together with the underlying httpResponse.

Parameters ​

richMenuAliasId ​

string

Rich menu alias ID that you want to delete.

Returns ​

Promise<ApiResponseType<MessageAPIResponseBase>>

A promise resolving to the response body together with the underlying httpResponse.

See ​

LINE Developers documentation


deleteRichMenuWithHttpInfo() ​

deleteRichMenuWithHttpInfo(richMenuId): Promise<ApiResponseType<MessageAPIResponseBase>>

Defined in: lib/messaging-api/api/messagingApiClient.ts:354

Deletes a rich menu. Calls DELETE https://api.line.me/v2/bot/richmenu/{richMenuId}. This method returns the response body together with the underlying httpResponse.

Parameters ​

richMenuId ​

string

ID of a rich menu

Returns ​

Promise<ApiResponseType<MessageAPIResponseBase>>

A promise resolving to the response body together with the underlying httpResponse.

See ​

LINE Developers documentation


getAggregationUnitNameList() ​

getAggregationUnitNameList(limit?, start?): Promise<GetAggregationUnitNameListResponse>

Defined in: lib/messaging-api/api/messagingApiClient.ts:409

Get name list of units used this month Calls GET https://api.line.me/v2/bot/message/aggregation/list. To inspect the HTTP status code or response headers, use getAggregationUnitNameListWithHttpInfo.

Parameters ​

limit? ​

string

The maximum number of aggregation units you can get per request.

start? ​

string

Value of the continuation token found in the next property of the JSON object returned in the response. If you can't get all the aggregation units in one request, include this parameter to get the remaining array.

Returns ​

Promise<GetAggregationUnitNameListResponse>

A promise resolving to the response body.

See ​

LINE Developers documentation


getAggregationUnitNameListWithHttpInfo() ​

getAggregationUnitNameListWithHttpInfo(limit?, start?): Promise<ApiResponseType<GetAggregationUnitNameListResponse>>

Defined in: lib/messaging-api/api/messagingApiClient.ts:426

Get name list of units used this month Calls GET https://api.line.me/v2/bot/message/aggregation/list. This method returns the response body together with the underlying httpResponse.

Parameters ​

limit? ​

string

The maximum number of aggregation units you can get per request.

start? ​

string

Value of the continuation token found in the next property of the JSON object returned in the response. If you can't get all the aggregation units in one request, include this parameter to get the remaining array.

Returns ​

Promise<ApiResponseType<GetAggregationUnitNameListResponse>>

A promise resolving to the response body together with the underlying httpResponse.

See ​

LINE Developers documentation


getAggregationUnitUsage() ​

getAggregationUnitUsage(): Promise<GetAggregationUnitUsageResponse>

Defined in: lib/messaging-api/api/messagingApiClient.ts:458

Get number of units used this month Calls GET https://api.line.me/v2/bot/message/aggregation/info. To inspect the HTTP status code or response headers, use getAggregationUnitUsageWithHttpInfo.

Returns ​

Promise<GetAggregationUnitUsageResponse>

A promise resolving to the response body.

See ​

LINE Developers documentation


getAggregationUnitUsageWithHttpInfo() ​

getAggregationUnitUsageWithHttpInfo(): Promise<ApiResponseType<GetAggregationUnitUsageResponse>>

Defined in: lib/messaging-api/api/messagingApiClient.ts:469

Get number of units used this month Calls GET https://api.line.me/v2/bot/message/aggregation/info. This method returns the response body together with the underlying httpResponse.

Returns ​

Promise<ApiResponseType<GetAggregationUnitUsageResponse>>

A promise resolving to the response body together with the underlying httpResponse.

See ​

LINE Developers documentation


getBotInfo() ​

getBotInfo(): Promise<BotInfoResponse>

Defined in: lib/messaging-api/api/messagingApiClient.ts:484

Get bot info Calls GET https://api.line.me/v2/bot/info. To inspect the HTTP status code or response headers, use getBotInfoWithHttpInfo.

Returns ​

Promise<BotInfoResponse>

A promise resolving to the response body.

See ​

LINE Developers documentation


getBotInfoWithHttpInfo() ​

getBotInfoWithHttpInfo(): Promise<ApiResponseType<BotInfoResponse>>

Defined in: lib/messaging-api/api/messagingApiClient.ts:495

Get bot info Calls GET https://api.line.me/v2/bot/info. This method returns the response body together with the underlying httpResponse.

Returns ​

Promise<ApiResponseType<BotInfoResponse>>

A promise resolving to the response body together with the underlying httpResponse.

See ​

LINE Developers documentation


getCouponDetail() ​

getCouponDetail(couponId): Promise<CouponResponse>

Defined in: lib/messaging-api/api/messagingApiClient.ts:511

Get coupon detail Calls GET https://api.line.me/v2/bot/coupon/{couponId}. To inspect the HTTP status code or response headers, use getCouponDetailWithHttpInfo.

Parameters ​

couponId ​

string

Returns ​

Promise<CouponResponse>

A promise resolving to the response body.

See ​

LINE Developers documentation


getCouponDetailWithHttpInfo() ​

getCouponDetailWithHttpInfo(couponId): Promise<ApiResponseType<CouponResponse>>

Defined in: lib/messaging-api/api/messagingApiClient.ts:523

Get coupon detail Calls GET https://api.line.me/v2/bot/coupon/{couponId}. This method returns the response body together with the underlying httpResponse.

Parameters ​

couponId ​

string

Returns ​

Promise<ApiResponseType<CouponResponse>>

A promise resolving to the response body together with the underlying httpResponse.

See ​

LINE Developers documentation


getDefaultRichMenuId() ​

getDefaultRichMenuId(): Promise<RichMenuIdResponse>

Defined in: lib/messaging-api/api/messagingApiClient.ts:542

Gets the ID of the default rich menu set with the Messaging API. Calls GET https://api.line.me/v2/bot/user/all/richmenu. To inspect the HTTP status code or response headers, use getDefaultRichMenuIdWithHttpInfo.

Returns ​

Promise<RichMenuIdResponse>

A promise resolving to the response body.

See ​

LINE Developers documentation


getDefaultRichMenuIdWithHttpInfo() ​

getDefaultRichMenuIdWithHttpInfo(): Promise<ApiResponseType<RichMenuIdResponse>>

Defined in: lib/messaging-api/api/messagingApiClient.ts:553

Gets the ID of the default rich menu set with the Messaging API. Calls GET https://api.line.me/v2/bot/user/all/richmenu. This method returns the response body together with the underlying httpResponse.

Returns ​

Promise<ApiResponseType<RichMenuIdResponse>>

A promise resolving to the response body together with the underlying httpResponse.

See ​

LINE Developers documentation


getFollowers() ​

getFollowers(start?, limit?): Promise<GetFollowersResponse>

Defined in: lib/messaging-api/api/messagingApiClient.ts:570

Get a list of users who added your LINE Official Account as a friend Calls GET https://api.line.me/v2/bot/followers/ids. To inspect the HTTP status code or response headers, use getFollowersWithHttpInfo.

Parameters ​

start? ​

string

Value of the continuation token found in the next property of the JSON object returned in the response. Include this parameter to get the next array of user IDs.

limit? ​

number

The maximum number of user IDs to retrieve in a single request.

Returns ​

Promise<GetFollowersResponse>

A promise resolving to the response body.

See ​

LINE Developers documentation


getFollowersWithHttpInfo() ​

getFollowersWithHttpInfo(start?, limit?): Promise<ApiResponseType<GetFollowersResponse>>

Defined in: lib/messaging-api/api/messagingApiClient.ts:586

Get a list of users who added your LINE Official Account as a friend Calls GET https://api.line.me/v2/bot/followers/ids. This method returns the response body together with the underlying httpResponse.

Parameters ​

start? ​

string

Value of the continuation token found in the next property of the JSON object returned in the response. Include this parameter to get the next array of user IDs.

limit? ​

number

The maximum number of user IDs to retrieve in a single request.

Returns ​

Promise<ApiResponseType<GetFollowersResponse>>

A promise resolving to the response body together with the underlying httpResponse.

See ​

LINE Developers documentation


getGroupMemberCount() ​

getGroupMemberCount(groupId): Promise<GroupMemberCountResponse>

Defined in: lib/messaging-api/api/messagingApiClient.ts:616

Get number of users in a group chat Calls GET https://api.line.me/v2/bot/group/{groupId}/members/count. To inspect the HTTP status code or response headers, use getGroupMemberCountWithHttpInfo.

Parameters ​

groupId ​

string

Group ID

Returns ​

Promise<GroupMemberCountResponse>

A promise resolving to the response body.

See ​

LINE Developers documentation


getGroupMemberCountWithHttpInfo() ​

getGroupMemberCountWithHttpInfo(groupId): Promise<ApiResponseType<GroupMemberCountResponse>>

Defined in: lib/messaging-api/api/messagingApiClient.ts:630

Get number of users in a group chat Calls GET https://api.line.me/v2/bot/group/{groupId}/members/count. This method returns the response body together with the underlying httpResponse.

Parameters ​

groupId ​

string

Group ID

Returns ​

Promise<ApiResponseType<GroupMemberCountResponse>>

A promise resolving to the response body together with the underlying httpResponse.

See ​

LINE Developers documentation


getGroupMemberProfile() ​

getGroupMemberProfile(groupId, userId): Promise<GroupUserProfileResponse>

Defined in: lib/messaging-api/api/messagingApiClient.ts:651

Get group chat member profile Calls GET https://api.line.me/v2/bot/group/{groupId}/member/{userId}. To inspect the HTTP status code or response headers, use getGroupMemberProfileWithHttpInfo.

Parameters ​

groupId ​

string

Group ID

userId ​

string

User ID

Returns ​

Promise<GroupUserProfileResponse>

A promise resolving to the response body.

See ​

LINE Developers documentation


getGroupMemberProfileWithHttpInfo() ​

getGroupMemberProfileWithHttpInfo(groupId, userId): Promise<ApiResponseType<GroupUserProfileResponse>>

Defined in: lib/messaging-api/api/messagingApiClient.ts:667

Get group chat member profile Calls GET https://api.line.me/v2/bot/group/{groupId}/member/{userId}. This method returns the response body together with the underlying httpResponse.

Parameters ​

groupId ​

string

Group ID

userId ​

string

User ID

Returns ​

Promise<ApiResponseType<GroupUserProfileResponse>>

A promise resolving to the response body together with the underlying httpResponse.

See ​

LINE Developers documentation


getGroupMembersIds() ​

getGroupMembersIds(groupId, start?): Promise<MembersIdsResponse>

Defined in: lib/messaging-api/api/messagingApiClient.ts:690

Get group chat member user IDs Calls GET https://api.line.me/v2/bot/group/{groupId}/members/ids. To inspect the HTTP status code or response headers, use getGroupMembersIdsWithHttpInfo.

Parameters ​

groupId ​

string

Group ID

start? ​

string

Value of the continuation token found in the next property of the JSON object returned in the response. Include this parameter to get the next array of user IDs for the members of the group.

Returns ​

Promise<MembersIdsResponse>

A promise resolving to the response body.

See ​

LINE Developers documentation


getGroupMembersIdsWithHttpInfo() ​

getGroupMembersIdsWithHttpInfo(groupId, start?): Promise<ApiResponseType<MembersIdsResponse>>

Defined in: lib/messaging-api/api/messagingApiClient.ts:706

Get group chat member user IDs Calls GET https://api.line.me/v2/bot/group/{groupId}/members/ids. This method returns the response body together with the underlying httpResponse.

Parameters ​

groupId ​

string

Group ID

start? ​

string

Value of the continuation token found in the next property of the JSON object returned in the response. Include this parameter to get the next array of user IDs for the members of the group.

Returns ​

Promise<ApiResponseType<MembersIdsResponse>>

A promise resolving to the response body together with the underlying httpResponse.

See ​

LINE Developers documentation


getGroupSummary() ​

getGroupSummary(groupId): Promise<GroupSummaryResponse>

Defined in: lib/messaging-api/api/messagingApiClient.ts:735

Get group chat summary Calls GET https://api.line.me/v2/bot/group/{groupId}/summary. To inspect the HTTP status code or response headers, use getGroupSummaryWithHttpInfo.

Parameters ​

groupId ​

string

Group ID

Returns ​

Promise<GroupSummaryResponse>

A promise resolving to the response body.

See ​

LINE Developers documentation


getGroupSummaryWithHttpInfo() ​

getGroupSummaryWithHttpInfo(groupId): Promise<ApiResponseType<GroupSummaryResponse>>

Defined in: lib/messaging-api/api/messagingApiClient.ts:747

Get group chat summary Calls GET https://api.line.me/v2/bot/group/{groupId}/summary. This method returns the response body together with the underlying httpResponse.

Parameters ​

groupId ​

string

Group ID

Returns ​

Promise<ApiResponseType<GroupSummaryResponse>>

A promise resolving to the response body together with the underlying httpResponse.

See ​

LINE Developers documentation


getJoinedMembershipUsers() ​

getJoinedMembershipUsers(membershipId, start?, limit?): Promise<GetJoinedMembershipUsersResponse>

Defined in: lib/messaging-api/api/messagingApiClient.ts:769

Get a list of user IDs who joined the membership. Calls GET https://api.line.me/v2/bot/membership/{membershipId}/users/ids. To inspect the HTTP status code or response headers, use getJoinedMembershipUsersWithHttpInfo.

Parameters ​

membershipId ​

number

Membership plan ID.

start? ​

string

A continuation token to get next remaining membership user IDs. Returned only when there are remaining user IDs that weren't returned in the userIds property in the previous request. The continuation token expires in 24 hours (86,400 seconds).

limit? ​

number

The max number of items to return for this API call. The value is set to 300 by default, but the max acceptable value is 1000.

Returns ​

Promise<GetJoinedMembershipUsersResponse>

A promise resolving to the response body.

See ​

LINE Developers documentation


getJoinedMembershipUsersWithHttpInfo() ​

getJoinedMembershipUsersWithHttpInfo(membershipId, start?, limit?): Promise<ApiResponseType<GetJoinedMembershipUsersResponse>>

Defined in: lib/messaging-api/api/messagingApiClient.ts:793

Get a list of user IDs who joined the membership. Calls GET https://api.line.me/v2/bot/membership/{membershipId}/users/ids. This method returns the response body together with the underlying httpResponse.

Parameters ​

membershipId ​

number

Membership plan ID.

start? ​

string

A continuation token to get next remaining membership user IDs. Returned only when there are remaining user IDs that weren't returned in the userIds property in the previous request. The continuation token expires in 24 hours (86,400 seconds).

limit? ​

number

The max number of items to return for this API call. The value is set to 300 by default, but the max acceptable value is 1000.

Returns ​

Promise<ApiResponseType<GetJoinedMembershipUsersResponse>>

A promise resolving to the response body together with the underlying httpResponse.

See ​

LINE Developers documentation


getMembershipList() ​

getMembershipList(): Promise<MembershipListResponse>

Defined in: lib/messaging-api/api/messagingApiClient.ts:830

Get a list of memberships. Calls GET https://api.line.me/v2/bot/membership/list. To inspect the HTTP status code or response headers, use getMembershipListWithHttpInfo.

Returns ​

Promise<MembershipListResponse>

A promise resolving to the response body.

See ​

LINE Developers documentation


getMembershipListWithHttpInfo() ​

getMembershipListWithHttpInfo(): Promise<ApiResponseType<MembershipListResponse>>

Defined in: lib/messaging-api/api/messagingApiClient.ts:841

Get a list of memberships. Calls GET https://api.line.me/v2/bot/membership/list. This method returns the response body together with the underlying httpResponse.

Returns ​

Promise<ApiResponseType<MembershipListResponse>>

A promise resolving to the response body together with the underlying httpResponse.

See ​

LINE Developers documentation


getMembershipSubscription() ​

getMembershipSubscription(userId): Promise<GetMembershipSubscriptionResponse>

Defined in: lib/messaging-api/api/messagingApiClient.ts:857

Get a user's membership subscription. Calls GET https://api.line.me/v2/bot/membership/subscription/{userId}. To inspect the HTTP status code or response headers, use getMembershipSubscriptionWithHttpInfo.

Parameters ​

userId ​

string

User ID

Returns ​

Promise<GetMembershipSubscriptionResponse>

A promise resolving to the response body.

See ​

LINE Developers documentation


getMembershipSubscriptionWithHttpInfo() ​

getMembershipSubscriptionWithHttpInfo(userId): Promise<ApiResponseType<GetMembershipSubscriptionResponse>>

Defined in: lib/messaging-api/api/messagingApiClient.ts:871

Get a user's membership subscription. Calls GET https://api.line.me/v2/bot/membership/subscription/{userId}. This method returns the response body together with the underlying httpResponse.

Parameters ​

userId ​

string

User ID

Returns ​

Promise<ApiResponseType<GetMembershipSubscriptionResponse>>

A promise resolving to the response body together with the underlying httpResponse.

See ​

LINE Developers documentation


getMessageQuota() ​

getMessageQuota(): Promise<MessageQuotaResponse>

Defined in: lib/messaging-api/api/messagingApiClient.ts:890

Gets the target limit for sending messages in the current month. The total number of the free messages and the additional messages is returned. Calls GET https://api.line.me/v2/bot/message/quota. To inspect the HTTP status code or response headers, use getMessageQuotaWithHttpInfo.

Returns ​

Promise<MessageQuotaResponse>

A promise resolving to the response body.

See ​

LINE Developers documentation


getMessageQuotaConsumption() ​

getMessageQuotaConsumption(): Promise<QuotaConsumptionResponse>

Defined in: lib/messaging-api/api/messagingApiClient.ts:916

Gets the number of messages sent in the current month. Calls GET https://api.line.me/v2/bot/message/quota/consumption. To inspect the HTTP status code or response headers, use getMessageQuotaConsumptionWithHttpInfo.

Returns ​

Promise<QuotaConsumptionResponse>

A promise resolving to the response body.

See ​

LINE Developers documentation


getMessageQuotaConsumptionWithHttpInfo() ​

getMessageQuotaConsumptionWithHttpInfo(): Promise<ApiResponseType<QuotaConsumptionResponse>>

Defined in: lib/messaging-api/api/messagingApiClient.ts:927

Gets the number of messages sent in the current month. Calls GET https://api.line.me/v2/bot/message/quota/consumption. This method returns the response body together with the underlying httpResponse.

Returns ​

Promise<ApiResponseType<QuotaConsumptionResponse>>

A promise resolving to the response body together with the underlying httpResponse.

See ​

LINE Developers documentation


getMessageQuotaWithHttpInfo() ​

getMessageQuotaWithHttpInfo(): Promise<ApiResponseType<MessageQuotaResponse>>

Defined in: lib/messaging-api/api/messagingApiClient.ts:901

Gets the target limit for sending messages in the current month. The total number of the free messages and the additional messages is returned. Calls GET https://api.line.me/v2/bot/message/quota. This method returns the response body together with the underlying httpResponse.

Returns ​

Promise<ApiResponseType<MessageQuotaResponse>>

A promise resolving to the response body together with the underlying httpResponse.

See ​

LINE Developers documentation


getNarrowcastProgress() ​

getNarrowcastProgress(requestId): Promise<NarrowcastProgressResponse>

Defined in: lib/messaging-api/api/messagingApiClient.ts:943

Gets the status of a narrowcast message. Calls GET https://api.line.me/v2/bot/message/progress/narrowcast. To inspect the HTTP status code or response headers, use getNarrowcastProgressWithHttpInfo.

Parameters ​

requestId ​

string

The narrowcast message's request ID. Each Messaging API request has a request ID.

Returns ​

Promise<NarrowcastProgressResponse>

A promise resolving to the response body.

See ​

LINE Developers documentation


getNarrowcastProgressWithHttpInfo() ​

getNarrowcastProgressWithHttpInfo(requestId): Promise<ApiResponseType<NarrowcastProgressResponse>>

Defined in: lib/messaging-api/api/messagingApiClient.ts:957

Gets the status of a narrowcast message. Calls GET https://api.line.me/v2/bot/message/progress/narrowcast. This method returns the response body together with the underlying httpResponse.

Parameters ​

requestId ​

string

The narrowcast message's request ID. Each Messaging API request has a request ID.

Returns ​

Promise<ApiResponseType<NarrowcastProgressResponse>>

A promise resolving to the response body together with the underlying httpResponse.

See ​

LINE Developers documentation


getNumberOfSentBroadcastMessages() ​

getNumberOfSentBroadcastMessages(date): Promise<NumberOfMessagesResponse>

Defined in: lib/messaging-api/api/messagingApiClient.ts:980

Get number of sent broadcast messages Calls GET https://api.line.me/v2/bot/message/delivery/broadcast. To inspect the HTTP status code or response headers, use getNumberOfSentBroadcastMessagesWithHttpInfo.

Parameters ​

date ​

string

Date the messages were sent Format: yyyyMMdd (e.g. 20191231) Timezone: UTC+9

Returns ​

Promise<NumberOfMessagesResponse>

A promise resolving to the response body.

See ​

LINE Developers documentation


getNumberOfSentBroadcastMessagesWithHttpInfo() ​

getNumberOfSentBroadcastMessagesWithHttpInfo(date): Promise<ApiResponseType<NumberOfMessagesResponse>>

Defined in: lib/messaging-api/api/messagingApiClient.ts:994

Get number of sent broadcast messages Calls GET https://api.line.me/v2/bot/message/delivery/broadcast. This method returns the response body together with the underlying httpResponse.

Parameters ​

date ​

string

Date the messages were sent Format: yyyyMMdd (e.g. 20191231) Timezone: UTC+9

Returns ​

Promise<ApiResponseType<NumberOfMessagesResponse>>

A promise resolving to the response body together with the underlying httpResponse.

See ​

LINE Developers documentation


getNumberOfSentMulticastMessages() ​

getNumberOfSentMulticastMessages(date): Promise<NumberOfMessagesResponse>

Defined in: lib/messaging-api/api/messagingApiClient.ts:1017

Get number of sent multicast messages Calls GET https://api.line.me/v2/bot/message/delivery/multicast. To inspect the HTTP status code or response headers, use getNumberOfSentMulticastMessagesWithHttpInfo.

Parameters ​

date ​

string

Date the messages were sent Format: yyyyMMdd (e.g. 20191231) Timezone: UTC+9

Returns ​

Promise<NumberOfMessagesResponse>

A promise resolving to the response body.

See ​

LINE Developers documentation


getNumberOfSentMulticastMessagesWithHttpInfo() ​

getNumberOfSentMulticastMessagesWithHttpInfo(date): Promise<ApiResponseType<NumberOfMessagesResponse>>

Defined in: lib/messaging-api/api/messagingApiClient.ts:1031

Get number of sent multicast messages Calls GET https://api.line.me/v2/bot/message/delivery/multicast. This method returns the response body together with the underlying httpResponse.

Parameters ​

date ​

string

Date the messages were sent Format: yyyyMMdd (e.g. 20191231) Timezone: UTC+9

Returns ​

Promise<ApiResponseType<NumberOfMessagesResponse>>

A promise resolving to the response body together with the underlying httpResponse.

See ​

LINE Developers documentation


getNumberOfSentPushMessages() ​

getNumberOfSentPushMessages(date): Promise<NumberOfMessagesResponse>

Defined in: lib/messaging-api/api/messagingApiClient.ts:1054

Get number of sent push messages Calls GET https://api.line.me/v2/bot/message/delivery/push. To inspect the HTTP status code or response headers, use getNumberOfSentPushMessagesWithHttpInfo.

Parameters ​

date ​

string

Date the messages were sent Format: yyyyMMdd (e.g. 20191231) Timezone: UTC+9

Returns ​

Promise<NumberOfMessagesResponse>

A promise resolving to the response body.

See ​

LINE Developers documentation


getNumberOfSentPushMessagesWithHttpInfo() ​

getNumberOfSentPushMessagesWithHttpInfo(date): Promise<ApiResponseType<NumberOfMessagesResponse>>

Defined in: lib/messaging-api/api/messagingApiClient.ts:1068

Get number of sent push messages Calls GET https://api.line.me/v2/bot/message/delivery/push. This method returns the response body together with the underlying httpResponse.

Parameters ​

date ​

string

Date the messages were sent Format: yyyyMMdd (e.g. 20191231) Timezone: UTC+9

Returns ​

Promise<ApiResponseType<NumberOfMessagesResponse>>

A promise resolving to the response body together with the underlying httpResponse.

See ​

LINE Developers documentation


getNumberOfSentReplyMessages() ​

getNumberOfSentReplyMessages(date): Promise<NumberOfMessagesResponse>

Defined in: lib/messaging-api/api/messagingApiClient.ts:1091

Get number of sent reply messages Calls GET https://api.line.me/v2/bot/message/delivery/reply. To inspect the HTTP status code or response headers, use getNumberOfSentReplyMessagesWithHttpInfo.

Parameters ​

date ​

string

Date the messages were sent Format: yyyyMMdd (e.g. 20191231) Timezone: UTC+9

Returns ​

Promise<NumberOfMessagesResponse>

A promise resolving to the response body.

See ​

LINE Developers documentation


getNumberOfSentReplyMessagesWithHttpInfo() ​

getNumberOfSentReplyMessagesWithHttpInfo(date): Promise<ApiResponseType<NumberOfMessagesResponse>>

Defined in: lib/messaging-api/api/messagingApiClient.ts:1105

Get number of sent reply messages Calls GET https://api.line.me/v2/bot/message/delivery/reply. This method returns the response body together with the underlying httpResponse.

Parameters ​

date ​

string

Date the messages were sent Format: yyyyMMdd (e.g. 20191231) Timezone: UTC+9

Returns ​

Promise<ApiResponseType<NumberOfMessagesResponse>>

A promise resolving to the response body together with the underlying httpResponse.

See ​

LINE Developers documentation


getPNPMessageStatistics() ​

getPNPMessageStatistics(date): Promise<NumberOfMessagesResponse>

Defined in: lib/messaging-api/api/messagingApiClient.ts:1128

Get number of sent LINE notification messages Calls GET https://api.line.me/v2/bot/message/delivery/pnp. To inspect the HTTP status code or response headers, use getPNPMessageStatisticsWithHttpInfo.

Parameters ​

date ​

string

Date the message was sent Format: yyyyMMdd (Example:20211231) Time zone: UTC+9

Returns ​

Promise<NumberOfMessagesResponse>

A promise resolving to the response body.

See ​

LINE Developers documentation


getPNPMessageStatisticsWithHttpInfo() ​

getPNPMessageStatisticsWithHttpInfo(date): Promise<ApiResponseType<NumberOfMessagesResponse>>

Defined in: lib/messaging-api/api/messagingApiClient.ts:1142

Get number of sent LINE notification messages Calls GET https://api.line.me/v2/bot/message/delivery/pnp. This method returns the response body together with the underlying httpResponse.

Parameters ​

date ​

string

Date the message was sent Format: yyyyMMdd (Example:20211231) Time zone: UTC+9

Returns ​

Promise<ApiResponseType<NumberOfMessagesResponse>>

A promise resolving to the response body together with the underlying httpResponse.

See ​

LINE Developers documentation


getPNPTemplatedMessageStatistics() ​

getPNPTemplatedMessageStatistics(date): Promise<NumberOfMessagesResponse>

Defined in: lib/messaging-api/api/messagingApiClient.ts:1165

Get number of sent LINE notification messages (template) Calls GET https://api.line.me/v2/bot/message/delivery/pnp/templated. To inspect the HTTP status code or response headers, use getPNPTemplatedMessageStatisticsWithHttpInfo.

Parameters ​

date ​

string

Date the message was sent Format: yyyyMMdd (Example:20211231) Time zone: UTC+9

Returns ​

Promise<NumberOfMessagesResponse>

A promise resolving to the response body.

See ​

LINE Developers documentation


getPNPTemplatedMessageStatisticsWithHttpInfo() ​

getPNPTemplatedMessageStatisticsWithHttpInfo(date): Promise<ApiResponseType<NumberOfMessagesResponse>>

Defined in: lib/messaging-api/api/messagingApiClient.ts:1179

Get number of sent LINE notification messages (template) Calls GET https://api.line.me/v2/bot/message/delivery/pnp/templated. This method returns the response body together with the underlying httpResponse.

Parameters ​

date ​

string

Date the message was sent Format: yyyyMMdd (Example:20211231) Time zone: UTC+9

Returns ​

Promise<ApiResponseType<NumberOfMessagesResponse>>

A promise resolving to the response body together with the underlying httpResponse.

See ​

LINE Developers documentation


getProfile() ​

getProfile(userId): Promise<UserProfileResponse>

Defined in: lib/messaging-api/api/messagingApiClient.ts:1202

Get profile Calls GET https://api.line.me/v2/bot/profile/{userId}. To inspect the HTTP status code or response headers, use getProfileWithHttpInfo.

Parameters ​

userId ​

string

User ID

Returns ​

Promise<UserProfileResponse>

A promise resolving to the response body.

See ​

LINE Developers documentation


getProfileWithHttpInfo() ​

getProfileWithHttpInfo(userId): Promise<ApiResponseType<UserProfileResponse>>

Defined in: lib/messaging-api/api/messagingApiClient.ts:1214

Get profile Calls GET https://api.line.me/v2/bot/profile/{userId}. This method returns the response body together with the underlying httpResponse.

Parameters ​

userId ​

string

User ID

Returns ​

Promise<ApiResponseType<UserProfileResponse>>

A promise resolving to the response body together with the underlying httpResponse.

See ​

LINE Developers documentation


getRichMenu() ​

getRichMenu(richMenuId): Promise<RichMenuResponse>

Defined in: lib/messaging-api/api/messagingApiClient.ts:1234

Gets a rich menu via a rich menu ID. Calls GET https://api.line.me/v2/bot/richmenu/{richMenuId}. To inspect the HTTP status code or response headers, use getRichMenuWithHttpInfo.

Parameters ​

richMenuId ​

string

ID of a rich menu

Returns ​

Promise<RichMenuResponse>

A promise resolving to the response body.

See ​

LINE Developers documentation


getRichMenuAlias() ​

getRichMenuAlias(richMenuAliasId): Promise<RichMenuAliasResponse>

Defined in: lib/messaging-api/api/messagingApiClient.ts:1266

Get rich menu alias information Calls GET https://api.line.me/v2/bot/richmenu/alias/{richMenuAliasId}. To inspect the HTTP status code or response headers, use getRichMenuAliasWithHttpInfo.

Parameters ​

richMenuAliasId ​

string

The rich menu alias ID whose information you want to obtain.

Returns ​

Promise<RichMenuAliasResponse>

A promise resolving to the response body.

See ​

LINE Developers documentation


getRichMenuAliasList() ​

getRichMenuAliasList(): Promise<RichMenuAliasListResponse>

Defined in: lib/messaging-api/api/messagingApiClient.ts:1299

Get list of rich menu alias Calls GET https://api.line.me/v2/bot/richmenu/alias/list. To inspect the HTTP status code or response headers, use getRichMenuAliasListWithHttpInfo.

Returns ​

Promise<RichMenuAliasListResponse>

A promise resolving to the response body.

See ​

LINE Developers documentation


getRichMenuAliasListWithHttpInfo() ​

getRichMenuAliasListWithHttpInfo(): Promise<ApiResponseType<RichMenuAliasListResponse>>

Defined in: lib/messaging-api/api/messagingApiClient.ts:1310

Get list of rich menu alias Calls GET https://api.line.me/v2/bot/richmenu/alias/list. This method returns the response body together with the underlying httpResponse.

Returns ​

Promise<ApiResponseType<RichMenuAliasListResponse>>

A promise resolving to the response body together with the underlying httpResponse.

See ​

LINE Developers documentation


getRichMenuAliasWithHttpInfo() ​

getRichMenuAliasWithHttpInfo(richMenuAliasId): Promise<ApiResponseType<RichMenuAliasResponse>>

Defined in: lib/messaging-api/api/messagingApiClient.ts:1280

Get rich menu alias information Calls GET https://api.line.me/v2/bot/richmenu/alias/{richMenuAliasId}. This method returns the response body together with the underlying httpResponse.

Parameters ​

richMenuAliasId ​

string

The rich menu alias ID whose information you want to obtain.

Returns ​

Promise<ApiResponseType<RichMenuAliasResponse>>

A promise resolving to the response body together with the underlying httpResponse.

See ​

LINE Developers documentation


getRichMenuBatchProgress() ​

getRichMenuBatchProgress(requestId): Promise<RichMenuBatchProgressResponse>

Defined in: lib/messaging-api/api/messagingApiClient.ts:1326

Get the status of Replace or unlink a linked rich menus in batches. Calls GET https://api.line.me/v2/bot/richmenu/progress/batch. To inspect the HTTP status code or response headers, use getRichMenuBatchProgressWithHttpInfo.

Parameters ​

requestId ​

string

A request ID used to batch control the rich menu linked to the user. Each Messaging API request has a request ID.

Returns ​

Promise<RichMenuBatchProgressResponse>

A promise resolving to the response body.

See ​

LINE Developers documentation


getRichMenuBatchProgressWithHttpInfo() ​

getRichMenuBatchProgressWithHttpInfo(requestId): Promise<ApiResponseType<RichMenuBatchProgressResponse>>

Defined in: lib/messaging-api/api/messagingApiClient.ts:1340

Get the status of Replace or unlink a linked rich menus in batches. Calls GET https://api.line.me/v2/bot/richmenu/progress/batch. This method returns the response body together with the underlying httpResponse.

Parameters ​

requestId ​

string

A request ID used to batch control the rich menu linked to the user. Each Messaging API request has a request ID.

Returns ​

Promise<ApiResponseType<RichMenuBatchProgressResponse>>

A promise resolving to the response body together with the underlying httpResponse.

See ​

LINE Developers documentation


getRichMenuIdOfUser() ​

getRichMenuIdOfUser(userId): Promise<RichMenuIdResponse>

Defined in: lib/messaging-api/api/messagingApiClient.ts:1363

Get rich menu ID of user Calls GET https://api.line.me/v2/bot/user/{userId}/richmenu. To inspect the HTTP status code or response headers, use getRichMenuIdOfUserWithHttpInfo.

Parameters ​

userId ​

string

User ID. Found in the source object of webhook event objects. Do not use the LINE ID used in LINE.

Returns ​

Promise<RichMenuIdResponse>

A promise resolving to the response body.

See ​

LINE Developers documentation


getRichMenuIdOfUserWithHttpInfo() ​

getRichMenuIdOfUserWithHttpInfo(userId): Promise<ApiResponseType<RichMenuIdResponse>>

Defined in: lib/messaging-api/api/messagingApiClient.ts:1377

Get rich menu ID of user Calls GET https://api.line.me/v2/bot/user/{userId}/richmenu. This method returns the response body together with the underlying httpResponse.

Parameters ​

userId ​

string

User ID. Found in the source object of webhook event objects. Do not use the LINE ID used in LINE.

Returns ​

Promise<ApiResponseType<RichMenuIdResponse>>

A promise resolving to the response body together with the underlying httpResponse.

See ​

LINE Developers documentation


getRichMenuList() ​

getRichMenuList(): Promise<RichMenuListResponse>

Defined in: lib/messaging-api/api/messagingApiClient.ts:1396

Get rich menu list Calls GET https://api.line.me/v2/bot/richmenu/list. To inspect the HTTP status code or response headers, use getRichMenuListWithHttpInfo.

Returns ​

Promise<RichMenuListResponse>

A promise resolving to the response body.

See ​

LINE Developers documentation


getRichMenuListWithHttpInfo() ​

getRichMenuListWithHttpInfo(): Promise<ApiResponseType<RichMenuListResponse>>

Defined in: lib/messaging-api/api/messagingApiClient.ts:1407

Get rich menu list Calls GET https://api.line.me/v2/bot/richmenu/list. This method returns the response body together with the underlying httpResponse.

Returns ​

Promise<ApiResponseType<RichMenuListResponse>>

A promise resolving to the response body together with the underlying httpResponse.

See ​

LINE Developers documentation


getRichMenuWithHttpInfo() ​

getRichMenuWithHttpInfo(richMenuId): Promise<ApiResponseType<RichMenuResponse>>

Defined in: lib/messaging-api/api/messagingApiClient.ts:1246

Gets a rich menu via a rich menu ID. Calls GET https://api.line.me/v2/bot/richmenu/{richMenuId}. This method returns the response body together with the underlying httpResponse.

Parameters ​

richMenuId ​

string

ID of a rich menu

Returns ​

Promise<ApiResponseType<RichMenuResponse>>

A promise resolving to the response body together with the underlying httpResponse.

See ​

LINE Developers documentation


getRoomMemberCount() ​

getRoomMemberCount(roomId): Promise<RoomMemberCountResponse>

Defined in: lib/messaging-api/api/messagingApiClient.ts:1423

Get number of users in a multi-person chat Calls GET https://api.line.me/v2/bot/room/{roomId}/members/count. To inspect the HTTP status code or response headers, use getRoomMemberCountWithHttpInfo.

Parameters ​

roomId ​

string

Room ID

Returns ​

Promise<RoomMemberCountResponse>

A promise resolving to the response body.

See ​

LINE Developers documentation


getRoomMemberCountWithHttpInfo() ​

getRoomMemberCountWithHttpInfo(roomId): Promise<ApiResponseType<RoomMemberCountResponse>>

Defined in: lib/messaging-api/api/messagingApiClient.ts:1437

Get number of users in a multi-person chat Calls GET https://api.line.me/v2/bot/room/{roomId}/members/count. This method returns the response body together with the underlying httpResponse.

Parameters ​

roomId ​

string

Room ID

Returns ​

Promise<ApiResponseType<RoomMemberCountResponse>>

A promise resolving to the response body together with the underlying httpResponse.

See ​

LINE Developers documentation


getRoomMemberProfile() ​

getRoomMemberProfile(roomId, userId): Promise<RoomUserProfileResponse>

Defined in: lib/messaging-api/api/messagingApiClient.ts:1458

Get multi-person chat member profile Calls GET https://api.line.me/v2/bot/room/{roomId}/member/{userId}. To inspect the HTTP status code or response headers, use getRoomMemberProfileWithHttpInfo.

Parameters ​

roomId ​

string

Room ID

userId ​

string

User ID

Returns ​

Promise<RoomUserProfileResponse>

A promise resolving to the response body.

See ​

LINE Developers documentation


getRoomMemberProfileWithHttpInfo() ​

getRoomMemberProfileWithHttpInfo(roomId, userId): Promise<ApiResponseType<RoomUserProfileResponse>>

Defined in: lib/messaging-api/api/messagingApiClient.ts:1474

Get multi-person chat member profile Calls GET https://api.line.me/v2/bot/room/{roomId}/member/{userId}. This method returns the response body together with the underlying httpResponse.

Parameters ​

roomId ​

string

Room ID

userId ​

string

User ID

Returns ​

Promise<ApiResponseType<RoomUserProfileResponse>>

A promise resolving to the response body together with the underlying httpResponse.

See ​

LINE Developers documentation


getRoomMembersIds() ​

getRoomMembersIds(roomId, start?): Promise<MembersIdsResponse>

Defined in: lib/messaging-api/api/messagingApiClient.ts:1497

Get multi-person chat member user IDs Calls GET https://api.line.me/v2/bot/room/{roomId}/members/ids. To inspect the HTTP status code or response headers, use getRoomMembersIdsWithHttpInfo.

Parameters ​

roomId ​

string

Room ID

start? ​

string

Value of the continuation token found in the next property of the JSON object returned in the response. Include this parameter to get the next array of user IDs for the members of the group.

Returns ​

Promise<MembersIdsResponse>

A promise resolving to the response body.

See ​

LINE Developers documentation


getRoomMembersIdsWithHttpInfo() ​

getRoomMembersIdsWithHttpInfo(roomId, start?): Promise<ApiResponseType<MembersIdsResponse>>

Defined in: lib/messaging-api/api/messagingApiClient.ts:1513

Get multi-person chat member user IDs Calls GET https://api.line.me/v2/bot/room/{roomId}/members/ids. This method returns the response body together with the underlying httpResponse.

Parameters ​

roomId ​

string

Room ID

start? ​

string

Value of the continuation token found in the next property of the JSON object returned in the response. Include this parameter to get the next array of user IDs for the members of the group.

Returns ​

Promise<ApiResponseType<MembersIdsResponse>>

A promise resolving to the response body together with the underlying httpResponse.

See ​

LINE Developers documentation


getWebhookEndpoint() ​

getWebhookEndpoint(): Promise<GetWebhookEndpointResponse>

Defined in: lib/messaging-api/api/messagingApiClient.ts:1541

Get webhook endpoint information Calls GET https://api.line.me/v2/bot/channel/webhook/endpoint. To inspect the HTTP status code or response headers, use getWebhookEndpointWithHttpInfo.

Returns ​

Promise<GetWebhookEndpointResponse>

A promise resolving to the response body.

See ​

LINE Developers documentation


getWebhookEndpointWithHttpInfo() ​

getWebhookEndpointWithHttpInfo(): Promise<ApiResponseType<GetWebhookEndpointResponse>>

Defined in: lib/messaging-api/api/messagingApiClient.ts:1552

Get webhook endpoint information Calls GET https://api.line.me/v2/bot/channel/webhook/endpoint. This method returns the response body together with the underlying httpResponse.

Returns ​

Promise<ApiResponseType<GetWebhookEndpointResponse>>

A promise resolving to the response body together with the underlying httpResponse.

See ​

LINE Developers documentation


issueLinkToken() ​

issueLinkToken(userId): Promise<IssueLinkTokenResponse>

Defined in: lib/messaging-api/api/messagingApiClient.ts:1568

Issue link token Calls POST https://api.line.me/v2/bot/user/{userId}/linkToken. To inspect the HTTP status code or response headers, use issueLinkTokenWithHttpInfo.

Parameters ​

userId ​

string

User ID for the LINE account to be linked. Found in the source object of account link event objects. Do not use the LINE ID used in LINE.

Returns ​

Promise<IssueLinkTokenResponse>

A promise resolving to the response body.

See ​

LINE Developers documentation


issueLinkTokenWithHttpInfo() ​

issueLinkTokenWithHttpInfo(userId): Promise<ApiResponseType<IssueLinkTokenResponse>>

Defined in: lib/messaging-api/api/messagingApiClient.ts:1580

Issue link token Calls POST https://api.line.me/v2/bot/user/{userId}/linkToken. This method returns the response body together with the underlying httpResponse.

Parameters ​

userId ​

string

User ID for the LINE account to be linked. Found in the source object of account link event objects. Do not use the LINE ID used in LINE.

Returns ​

Promise<ApiResponseType<IssueLinkTokenResponse>>

A promise resolving to the response body together with the underlying httpResponse.

See ​

LINE Developers documentation


leaveGroup() ​

leaveGroup(groupId): Promise<MessageAPIResponseBase>

Defined in: lib/messaging-api/api/messagingApiClient.ts:1600

Leave group chat Calls POST https://api.line.me/v2/bot/group/{groupId}/leave. To inspect the HTTP status code or response headers, use leaveGroupWithHttpInfo.

Parameters ​

groupId ​

string

Group ID

Returns ​

Promise<MessageAPIResponseBase>

A promise resolving to the response body.

See ​

LINE Developers documentation


leaveGroupWithHttpInfo() ​

leaveGroupWithHttpInfo(groupId): Promise<ApiResponseType<MessageAPIResponseBase>>

Defined in: lib/messaging-api/api/messagingApiClient.ts:1614

Leave group chat Calls POST https://api.line.me/v2/bot/group/{groupId}/leave. This method returns the response body together with the underlying httpResponse.

Parameters ​

groupId ​

string

Group ID

Returns ​

Promise<ApiResponseType<MessageAPIResponseBase>>

A promise resolving to the response body together with the underlying httpResponse.

See ​

LINE Developers documentation


leaveRoom() ​

leaveRoom(roomId): Promise<MessageAPIResponseBase>

Defined in: lib/messaging-api/api/messagingApiClient.ts:1634

Leave multi-person chat Calls POST https://api.line.me/v2/bot/room/{roomId}/leave. To inspect the HTTP status code or response headers, use leaveRoomWithHttpInfo.

Parameters ​

roomId ​

string

Room ID

Returns ​

Promise<MessageAPIResponseBase>

A promise resolving to the response body.

See ​

LINE Developers documentation


leaveRoomWithHttpInfo() ​

leaveRoomWithHttpInfo(roomId): Promise<ApiResponseType<MessageAPIResponseBase>>

Defined in: lib/messaging-api/api/messagingApiClient.ts:1648

Leave multi-person chat Calls POST https://api.line.me/v2/bot/room/{roomId}/leave. This method returns the response body together with the underlying httpResponse.

Parameters ​

roomId ​

string

Room ID

Returns ​

Promise<ApiResponseType<MessageAPIResponseBase>>

A promise resolving to the response body together with the underlying httpResponse.

See ​

LINE Developers documentation


linkRichMenuIdToUser() ​

linkRichMenuIdToUser(userId, richMenuId): Promise<MessageAPIResponseBase>

Defined in: lib/messaging-api/api/messagingApiClient.ts:1669

Link rich menu to user. Calls POST https://api.line.me/v2/bot/user/{userId}/richmenu/{richMenuId}. To inspect the HTTP status code or response headers, use linkRichMenuIdToUserWithHttpInfo.

Parameters ​

userId ​

string

User ID. Found in the source object of webhook event objects. Do not use the LINE ID used in LINE.

richMenuId ​

string

ID of a rich menu

Returns ​

Promise<MessageAPIResponseBase>

A promise resolving to the response body.

See ​

LINE Developers documentation


linkRichMenuIdToUsers() ​

linkRichMenuIdToUsers(richMenuBulkLinkRequest): Promise<MessageAPIResponseBase>

Defined in: lib/messaging-api/api/messagingApiClient.ts:1711

Link rich menu to multiple users Calls POST https://api.line.me/v2/bot/richmenu/bulk/link. To inspect the HTTP status code or response headers, use linkRichMenuIdToUsersWithHttpInfo.

Parameters ​

richMenuBulkLinkRequest ​

RichMenuBulkLinkRequest

Returns ​

Promise<MessageAPIResponseBase>

A promise resolving to the response body.

See ​

LINE Developers documentation


linkRichMenuIdToUsersWithHttpInfo() ​

linkRichMenuIdToUsersWithHttpInfo(richMenuBulkLinkRequest): Promise<ApiResponseType<MessageAPIResponseBase>>

Defined in: lib/messaging-api/api/messagingApiClient.ts:1727

Link rich menu to multiple users Calls POST https://api.line.me/v2/bot/richmenu/bulk/link. This method returns the response body together with the underlying httpResponse.

Parameters ​

richMenuBulkLinkRequest ​

RichMenuBulkLinkRequest

Returns ​

Promise<ApiResponseType<MessageAPIResponseBase>>

A promise resolving to the response body together with the underlying httpResponse.

See ​

LINE Developers documentation


linkRichMenuIdToUserWithHttpInfo() ​

linkRichMenuIdToUserWithHttpInfo(userId, richMenuId): Promise<ApiResponseType<MessageAPIResponseBase>>

Defined in: lib/messaging-api/api/messagingApiClient.ts:1686

Link rich menu to user. Calls POST https://api.line.me/v2/bot/user/{userId}/richmenu/{richMenuId}. This method returns the response body together with the underlying httpResponse.

Parameters ​

userId ​

string

User ID. Found in the source object of webhook event objects. Do not use the LINE ID used in LINE.

richMenuId ​

string

ID of a rich menu

Returns ​

Promise<ApiResponseType<MessageAPIResponseBase>>

A promise resolving to the response body together with the underlying httpResponse.

See ​

LINE Developers documentation


listCoupon() ​

listCoupon(status?, start?, limit?): Promise<MessagingApiPagerCouponListResponse>

Defined in: lib/messaging-api/api/messagingApiClient.ts:1750

Get a paginated list of coupons. Calls GET https://api.line.me/v2/bot/coupon. To inspect the HTTP status code or response headers, use listCouponWithHttpInfo.

Parameters ​

status? ​

Set<"DRAFT" | "RUNNING" | "CLOSED">

Filter coupons by their status.

start? ​

string

Pagination token to retrieve the next page of results.

limit? ​

number

Maximum number of coupons to return per request.

Returns ​

Promise<MessagingApiPagerCouponListResponse>

A promise resolving to the response body.

See ​

LINE Developers documentation


listCouponWithHttpInfo() ​

listCouponWithHttpInfo(status?, start?, limit?): Promise<ApiResponseType<MessagingApiPagerCouponListResponse>>

Defined in: lib/messaging-api/api/messagingApiClient.ts:1768

Get a paginated list of coupons. Calls GET https://api.line.me/v2/bot/coupon. This method returns the response body together with the underlying httpResponse.

Parameters ​

status? ​

Set<"DRAFT" | "RUNNING" | "CLOSED">

Filter coupons by their status.

start? ​

string

Pagination token to retrieve the next page of results.

limit? ​

number

Maximum number of coupons to return per request.

Returns ​

Promise<ApiResponseType<MessagingApiPagerCouponListResponse>>

A promise resolving to the response body together with the underlying httpResponse.

See ​

LINE Developers documentation


markMessagesAsRead() ​

markMessagesAsRead(markMessagesAsReadRequest): Promise<MessageAPIResponseBase>

Defined in: lib/messaging-api/api/messagingApiClient.ts:1804

Mark messages from users as read Calls POST https://api.line.me/v2/bot/message/markAsRead. To inspect the HTTP status code or response headers, use markMessagesAsReadWithHttpInfo.

Parameters ​

markMessagesAsReadRequest ​

MarkMessagesAsReadRequest

Returns ​

Promise<MessageAPIResponseBase>

A promise resolving to the response body.

See ​

LINE Developers documentation


markMessagesAsReadByToken() ​

markMessagesAsReadByToken(markMessagesAsReadByTokenRequest): Promise<MessageAPIResponseBase>

Defined in: lib/messaging-api/api/messagingApiClient.ts:1841

Mark messages from users as read by token Calls POST https://api.line.me/v2/bot/chat/markAsRead. To inspect the HTTP status code or response headers, use markMessagesAsReadByTokenWithHttpInfo.

Parameters ​

markMessagesAsReadByTokenRequest ​

MarkMessagesAsReadByTokenRequest

Returns ​

Promise<MessageAPIResponseBase>

A promise resolving to the response body.

See ​

LINE Developers documentation


markMessagesAsReadByTokenWithHttpInfo() ​

markMessagesAsReadByTokenWithHttpInfo(markMessagesAsReadByTokenRequest): Promise<ApiResponseType<MessageAPIResponseBase>>

Defined in: lib/messaging-api/api/messagingApiClient.ts:1859

Mark messages from users as read by token Calls POST https://api.line.me/v2/bot/chat/markAsRead. This method returns the response body together with the underlying httpResponse.

Parameters ​

markMessagesAsReadByTokenRequest ​

MarkMessagesAsReadByTokenRequest

Returns ​

Promise<ApiResponseType<MessageAPIResponseBase>>

A promise resolving to the response body together with the underlying httpResponse.

See ​

LINE Developers documentation


markMessagesAsReadWithHttpInfo() ​

markMessagesAsReadWithHttpInfo(markMessagesAsReadRequest): Promise<ApiResponseType<MessageAPIResponseBase>>

Defined in: lib/messaging-api/api/messagingApiClient.ts:1820

Mark messages from users as read Calls POST https://api.line.me/v2/bot/message/markAsRead. This method returns the response body together with the underlying httpResponse.

Parameters ​

markMessagesAsReadRequest ​

MarkMessagesAsReadRequest

Returns ​

Promise<ApiResponseType<MessageAPIResponseBase>>

A promise resolving to the response body together with the underlying httpResponse.

See ​

LINE Developers documentation


multicast() ​

multicast(multicastRequest, xLineRetryKey?): Promise<object>

Defined in: lib/messaging-api/api/messagingApiClient.ts:1878

An API that efficiently sends the same message to multiple user IDs. You can't send messages to group chats or multi-person chats. Calls POST https://api.line.me/v2/bot/message/multicast. To inspect the HTTP status code or response headers, use multicastWithHttpInfo.

Parameters ​

multicastRequest ​

MulticastRequest

xLineRetryKey? ​

string

Retry key. Specifies the UUID in hexadecimal format (e.g., 123e4567-e89b-12d3-a456-426614174000) generated by any method. The retry key isn't generated by LINE. Each developer must generate their own retry key.

Returns ​

Promise<object>

A promise resolving to the response body.

See ​

LINE Developers documentation


multicastWithHttpInfo() ​

multicastWithHttpInfo(multicastRequest, xLineRetryKey?): Promise<ApiResponseType<object>>

Defined in: lib/messaging-api/api/messagingApiClient.ts:1895

An API that efficiently sends the same message to multiple user IDs. You can't send messages to group chats or multi-person chats. Calls POST https://api.line.me/v2/bot/message/multicast. This method returns the response body together with the underlying httpResponse.

Parameters ​

multicastRequest ​

MulticastRequest

xLineRetryKey? ​

string

Retry key. Specifies the UUID in hexadecimal format (e.g., 123e4567-e89b-12d3-a456-426614174000) generated by any method. The retry key isn't generated by LINE. Each developer must generate their own retry key.

Returns ​

Promise<ApiResponseType<object>>

A promise resolving to the response body together with the underlying httpResponse.

See ​

LINE Developers documentation


narrowcast() ​

narrowcast(narrowcastRequest, xLineRetryKey?): Promise<object>

Defined in: lib/messaging-api/api/messagingApiClient.ts:1923

Send narrowcast message Calls POST https://api.line.me/v2/bot/message/narrowcast. To inspect the HTTP status code or response headers, use narrowcastWithHttpInfo.

Parameters ​

narrowcastRequest ​

NarrowcastRequest

xLineRetryKey? ​

string

Retry key. Specifies the UUID in hexadecimal format (e.g., 123e4567-e89b-12d3-a456-426614174000) generated by any method. The retry key isn't generated by LINE. Each developer must generate their own retry key.

Returns ​

Promise<object>

A promise resolving to the response body.

See ​

LINE Developers documentation


narrowcastWithHttpInfo() ​

narrowcastWithHttpInfo(narrowcastRequest, xLineRetryKey?): Promise<ApiResponseType<object>>

Defined in: lib/messaging-api/api/messagingApiClient.ts:1940

Send narrowcast message Calls POST https://api.line.me/v2/bot/message/narrowcast. This method returns the response body together with the underlying httpResponse.

Parameters ​

narrowcastRequest ​

NarrowcastRequest

xLineRetryKey? ​

string

Retry key. Specifies the UUID in hexadecimal format (e.g., 123e4567-e89b-12d3-a456-426614174000) generated by any method. The retry key isn't generated by LINE. Each developer must generate their own retry key.

Returns ​

Promise<ApiResponseType<object>>

A promise resolving to the response body together with the underlying httpResponse.

See ​

LINE Developers documentation


pushMessage() ​

pushMessage(pushMessageRequest, xLineRetryKey?): Promise<PushMessageResponse>

Defined in: lib/messaging-api/api/messagingApiClient.ts:1968

Sends a message to a user, group chat, or multi-person chat at any time. Calls POST https://api.line.me/v2/bot/message/push. To inspect the HTTP status code or response headers, use pushMessageWithHttpInfo.

Parameters ​

pushMessageRequest ​

PushMessageRequest

xLineRetryKey? ​

string

Retry key. Specifies the UUID in hexadecimal format (e.g., 123e4567-e89b-12d3-a456-426614174000) generated by any method. The retry key isn't generated by LINE. Each developer must generate their own retry key.

Returns ​

Promise<PushMessageResponse>

A promise resolving to the response body.

See ​

LINE Developers documentation


pushMessagesByPhone() ​

pushMessagesByPhone(pnpMessagesRequest, xLineDeliveryTag?): Promise<MessageAPIResponseBase>

Defined in: lib/messaging-api/api/messagingApiClient.ts:2012

Send LINE notification message Calls POST https://api.line.me/bot/pnp/push. To inspect the HTTP status code or response headers, use pushMessagesByPhoneWithHttpInfo.

Parameters ​

pnpMessagesRequest ​

PnpMessagesRequest

xLineDeliveryTag? ​

string

String returned in the delivery.data property of the delivery completion event via Webhook.

Returns ​

Promise<MessageAPIResponseBase>

A promise resolving to the response body.

See ​

LINE Developers documentation


pushMessagesByPhoneWithHttpInfo() ​

pushMessagesByPhoneWithHttpInfo(pnpMessagesRequest, xLineDeliveryTag?): Promise<ApiResponseType<MessageAPIResponseBase>>

Defined in: lib/messaging-api/api/messagingApiClient.ts:2033

Send LINE notification message Calls POST https://api.line.me/bot/pnp/push. This method returns the response body together with the underlying httpResponse.

Parameters ​

pnpMessagesRequest ​

PnpMessagesRequest

xLineDeliveryTag? ​

string

String returned in the delivery.data property of the delivery completion event via Webhook.

Returns ​

Promise<ApiResponseType<MessageAPIResponseBase>>

A promise resolving to the response body together with the underlying httpResponse.

See ​

LINE Developers documentation


pushMessageWithHttpInfo() ​

pushMessageWithHttpInfo(pushMessageRequest, xLineRetryKey?): Promise<ApiResponseType<PushMessageResponse>>

Defined in: lib/messaging-api/api/messagingApiClient.ts:1986

Sends a message to a user, group chat, or multi-person chat at any time. Calls POST https://api.line.me/v2/bot/message/push. This method returns the response body together with the underlying httpResponse.

Parameters ​

pushMessageRequest ​

PushMessageRequest

xLineRetryKey? ​

string

Retry key. Specifies the UUID in hexadecimal format (e.g., 123e4567-e89b-12d3-a456-426614174000) generated by any method. The retry key isn't generated by LINE. Each developer must generate their own retry key.

Returns ​

Promise<ApiResponseType<PushMessageResponse>>

A promise resolving to the response body together with the underlying httpResponse.

See ​

LINE Developers documentation


pushTemplatedMessagesByPhone() ​

pushTemplatedMessagesByPhone(pnpTemplatedMessageRequest, xLineDeliveryTag?): Promise<MessageAPIResponseBase>

Defined in: lib/messaging-api/api/messagingApiClient.ts:2061

Send LINE notification message (template) Calls POST https://api.line.me/v2/bot/message/pnp/templated/push. To inspect the HTTP status code or response headers, use pushTemplatedMessagesByPhoneWithHttpInfo.

Parameters ​

pnpTemplatedMessageRequest ​

PnpTemplatedMessageRequest

xLineDeliveryTag? ​

string

String returned in the delivery.data property of the delivery completion event via Webhook.

Returns ​

Promise<MessageAPIResponseBase>

A promise resolving to the response body.

See ​

LINE Developers documentation


pushTemplatedMessagesByPhoneWithHttpInfo() ​

pushTemplatedMessagesByPhoneWithHttpInfo(pnpTemplatedMessageRequest, xLineDeliveryTag?): Promise<ApiResponseType<MessageAPIResponseBase>>

Defined in: lib/messaging-api/api/messagingApiClient.ts:2082

Send LINE notification message (template) Calls POST https://api.line.me/v2/bot/message/pnp/templated/push. This method returns the response body together with the underlying httpResponse.

Parameters ​

pnpTemplatedMessageRequest ​

PnpTemplatedMessageRequest

xLineDeliveryTag? ​

string

String returned in the delivery.data property of the delivery completion event via Webhook.

Returns ​

Promise<ApiResponseType<MessageAPIResponseBase>>

A promise resolving to the response body together with the underlying httpResponse.

See ​

LINE Developers documentation


replyMessage() ​

replyMessage(replyMessageRequest): Promise<ReplyMessageResponse>

Defined in: lib/messaging-api/api/messagingApiClient.ts:2111

Send reply message Calls POST https://api.line.me/v2/bot/message/reply. To inspect the HTTP status code or response headers, use replyMessageWithHttpInfo.

Parameters ​

replyMessageRequest ​

ReplyMessageRequest

Returns ​

Promise<ReplyMessageResponse>

A promise resolving to the response body.

See ​

LINE Developers documentation


replyMessageWithHttpInfo() ​

replyMessageWithHttpInfo(replyMessageRequest): Promise<ApiResponseType<ReplyMessageResponse>>

Defined in: lib/messaging-api/api/messagingApiClient.ts:2125

Send reply message Calls POST https://api.line.me/v2/bot/message/reply. This method returns the response body together with the underlying httpResponse.

Parameters ​

replyMessageRequest ​

ReplyMessageRequest

Returns ​

Promise<ApiResponseType<ReplyMessageResponse>>

A promise resolving to the response body together with the underlying httpResponse.

See ​

LINE Developers documentation


richMenuBatch() ​

richMenuBatch(richMenuBatchRequest): Promise<MessageAPIResponseBase>

Defined in: lib/messaging-api/api/messagingApiClient.ts:2143

You can use this endpoint to batch control the rich menu linked to the users using the endpoint such as Link rich menu to user. The following operations are available: 1. Replace a rich menu with another rich menu for all users linked to a specific rich menu 2. Unlink a rich menu for all users linked to a specific rich menu 3. Unlink a rich menu for all users linked the rich menu Calls POST https://api.line.me/v2/bot/richmenu/batch. To inspect the HTTP status code or response headers, use richMenuBatchWithHttpInfo.

Parameters ​

richMenuBatchRequest ​

RichMenuBatchRequest

Returns ​

Promise<MessageAPIResponseBase>

A promise resolving to the response body.

See ​

LINE Developers documentation


richMenuBatchWithHttpInfo() ​

richMenuBatchWithHttpInfo(richMenuBatchRequest): Promise<ApiResponseType<MessageAPIResponseBase>>

Defined in: lib/messaging-api/api/messagingApiClient.ts:2157

You can use this endpoint to batch control the rich menu linked to the users using the endpoint such as Link rich menu to user. The following operations are available: 1. Replace a rich menu with another rich menu for all users linked to a specific rich menu 2. Unlink a rich menu for all users linked to a specific rich menu 3. Unlink a rich menu for all users linked the rich menu Calls POST https://api.line.me/v2/bot/richmenu/batch. This method returns the response body together with the underlying httpResponse.

Parameters ​

richMenuBatchRequest ​

RichMenuBatchRequest

Returns ​

Promise<ApiResponseType<MessageAPIResponseBase>>

A promise resolving to the response body together with the underlying httpResponse.

See ​

LINE Developers documentation


setDefaultRichMenu() ​

setDefaultRichMenu(richMenuId): Promise<MessageAPIResponseBase>

Defined in: lib/messaging-api/api/messagingApiClient.ts:2175

Set default rich menu Calls POST https://api.line.me/v2/bot/user/all/richmenu/{richMenuId}. To inspect the HTTP status code or response headers, use setDefaultRichMenuWithHttpInfo.

Parameters ​

richMenuId ​

string

ID of a rich menu

Returns ​

Promise<MessageAPIResponseBase>

A promise resolving to the response body.

See ​

LINE Developers documentation


setDefaultRichMenuWithHttpInfo() ​

setDefaultRichMenuWithHttpInfo(richMenuId): Promise<ApiResponseType<MessageAPIResponseBase>>

Defined in: lib/messaging-api/api/messagingApiClient.ts:2189

Set default rich menu Calls POST https://api.line.me/v2/bot/user/all/richmenu/{richMenuId}. This method returns the response body together with the underlying httpResponse.

Parameters ​

richMenuId ​

string

ID of a rich menu

Returns ​

Promise<ApiResponseType<MessageAPIResponseBase>>

A promise resolving to the response body together with the underlying httpResponse.

See ​

LINE Developers documentation


setWebhookEndpoint() ​

setWebhookEndpoint(setWebhookEndpointRequest): Promise<MessageAPIResponseBase>

Defined in: lib/messaging-api/api/messagingApiClient.ts:2209

Set webhook endpoint URL Calls PUT https://api.line.me/v2/bot/channel/webhook/endpoint. To inspect the HTTP status code or response headers, use setWebhookEndpointWithHttpInfo.

Parameters ​

setWebhookEndpointRequest ​

SetWebhookEndpointRequest

Returns ​

Promise<MessageAPIResponseBase>

A promise resolving to the response body.

See ​

LINE Developers documentation


setWebhookEndpointWithHttpInfo() ​

setWebhookEndpointWithHttpInfo(setWebhookEndpointRequest): Promise<ApiResponseType<MessageAPIResponseBase>>

Defined in: lib/messaging-api/api/messagingApiClient.ts:2225

Set webhook endpoint URL Calls PUT https://api.line.me/v2/bot/channel/webhook/endpoint. This method returns the response body together with the underlying httpResponse.

Parameters ​

setWebhookEndpointRequest ​

SetWebhookEndpointRequest

Returns ​

Promise<ApiResponseType<MessageAPIResponseBase>>

A promise resolving to the response body together with the underlying httpResponse.

See ​

LINE Developers documentation


showLoadingAnimation() ​

showLoadingAnimation(showLoadingAnimationRequest): Promise<object>

Defined in: lib/messaging-api/api/messagingApiClient.ts:2246

Display a loading animation in one-on-one chats between users and LINE Official Accounts. Calls POST https://api.line.me/v2/bot/chat/loading/start. To inspect the HTTP status code or response headers, use showLoadingAnimationWithHttpInfo.

Parameters ​

showLoadingAnimationRequest ​

ShowLoadingAnimationRequest

Returns ​

Promise<object>

A promise resolving to the response body.

See ​

LINE Developers documentation


showLoadingAnimationWithHttpInfo() ​

showLoadingAnimationWithHttpInfo(showLoadingAnimationRequest): Promise<ApiResponseType<object>>

Defined in: lib/messaging-api/api/messagingApiClient.ts:2262

Display a loading animation in one-on-one chats between users and LINE Official Accounts. Calls POST https://api.line.me/v2/bot/chat/loading/start. This method returns the response body together with the underlying httpResponse.

Parameters ​

showLoadingAnimationRequest ​

ShowLoadingAnimationRequest

Returns ​

Promise<ApiResponseType<object>>

A promise resolving to the response body together with the underlying httpResponse.

See ​

LINE Developers documentation


testWebhookEndpoint() ​

testWebhookEndpoint(testWebhookEndpointRequest?): Promise<TestWebhookEndpointResponse>

Defined in: lib/messaging-api/api/messagingApiClient.ts:2283

Test webhook endpoint Calls POST https://api.line.me/v2/bot/channel/webhook/test. To inspect the HTTP status code or response headers, use testWebhookEndpointWithHttpInfo.

Parameters ​

testWebhookEndpointRequest? ​

TestWebhookEndpointRequest

Returns ​

Promise<TestWebhookEndpointResponse>

A promise resolving to the response body.

See ​

LINE Developers documentation


testWebhookEndpointWithHttpInfo() ​

testWebhookEndpointWithHttpInfo(testWebhookEndpointRequest?): Promise<ApiResponseType<TestWebhookEndpointResponse>>

Defined in: lib/messaging-api/api/messagingApiClient.ts:2299

Test webhook endpoint Calls POST https://api.line.me/v2/bot/channel/webhook/test. This method returns the response body together with the underlying httpResponse.

Parameters ​

testWebhookEndpointRequest? ​

TestWebhookEndpointRequest

Returns ​

Promise<ApiResponseType<TestWebhookEndpointResponse>>

A promise resolving to the response body together with the underlying httpResponse.

See ​

LINE Developers documentation


unlinkRichMenuIdFromUser() ​

unlinkRichMenuIdFromUser(userId): Promise<MessageAPIResponseBase>

Defined in: lib/messaging-api/api/messagingApiClient.ts:2320

Unlink rich menu from user Calls DELETE https://api.line.me/v2/bot/user/{userId}/richmenu. To inspect the HTTP status code or response headers, use unlinkRichMenuIdFromUserWithHttpInfo.

Parameters ​

userId ​

string

User ID. Found in the source object of webhook event objects. Do not use the LINE ID used in LINE.

Returns ​

Promise<MessageAPIResponseBase>

A promise resolving to the response body.

See ​

LINE Developers documentation


unlinkRichMenuIdFromUsers() ​

unlinkRichMenuIdFromUsers(richMenuBulkUnlinkRequest): Promise<MessageAPIResponseBase>

Defined in: lib/messaging-api/api/messagingApiClient.ts:2354

Unlink rich menus from multiple users Calls POST https://api.line.me/v2/bot/richmenu/bulk/unlink. To inspect the HTTP status code or response headers, use unlinkRichMenuIdFromUsersWithHttpInfo.

Parameters ​

richMenuBulkUnlinkRequest ​

RichMenuBulkUnlinkRequest

Returns ​

Promise<MessageAPIResponseBase>

A promise resolving to the response body.

See ​

LINE Developers documentation


unlinkRichMenuIdFromUsersWithHttpInfo() ​

unlinkRichMenuIdFromUsersWithHttpInfo(richMenuBulkUnlinkRequest): Promise<ApiResponseType<MessageAPIResponseBase>>

Defined in: lib/messaging-api/api/messagingApiClient.ts:2372

Unlink rich menus from multiple users Calls POST https://api.line.me/v2/bot/richmenu/bulk/unlink. This method returns the response body together with the underlying httpResponse.

Parameters ​

richMenuBulkUnlinkRequest ​

RichMenuBulkUnlinkRequest

Returns ​

Promise<ApiResponseType<MessageAPIResponseBase>>

A promise resolving to the response body together with the underlying httpResponse.

See ​

LINE Developers documentation


unlinkRichMenuIdFromUserWithHttpInfo() ​

unlinkRichMenuIdFromUserWithHttpInfo(userId): Promise<ApiResponseType<MessageAPIResponseBase>>

Defined in: lib/messaging-api/api/messagingApiClient.ts:2334

Unlink rich menu from user Calls DELETE https://api.line.me/v2/bot/user/{userId}/richmenu. This method returns the response body together with the underlying httpResponse.

Parameters ​

userId ​

string

User ID. Found in the source object of webhook event objects. Do not use the LINE ID used in LINE.

Returns ​

Promise<ApiResponseType<MessageAPIResponseBase>>

A promise resolving to the response body together with the underlying httpResponse.

See ​

LINE Developers documentation


updateRichMenuAlias() ​

updateRichMenuAlias(richMenuAliasId, updateRichMenuAliasRequest): Promise<MessageAPIResponseBase>

Defined in: lib/messaging-api/api/messagingApiClient.ts:2394

Update rich menu alias Calls POST https://api.line.me/v2/bot/richmenu/alias/{richMenuAliasId}. To inspect the HTTP status code or response headers, use updateRichMenuAliasWithHttpInfo.

Parameters ​

richMenuAliasId ​

string

The rich menu alias ID you want to update.

updateRichMenuAliasRequest ​

UpdateRichMenuAliasRequest

Returns ​

Promise<MessageAPIResponseBase>

A promise resolving to the response body.

See ​

LINE Developers documentation


updateRichMenuAliasWithHttpInfo() ​

updateRichMenuAliasWithHttpInfo(richMenuAliasId, updateRichMenuAliasRequest): Promise<ApiResponseType<MessageAPIResponseBase>>

Defined in: lib/messaging-api/api/messagingApiClient.ts:2415

Update rich menu alias Calls POST https://api.line.me/v2/bot/richmenu/alias/{richMenuAliasId}. This method returns the response body together with the underlying httpResponse.

Parameters ​

richMenuAliasId ​

string

The rich menu alias ID you want to update.

updateRichMenuAliasRequest ​

UpdateRichMenuAliasRequest

Returns ​

Promise<ApiResponseType<MessageAPIResponseBase>>

A promise resolving to the response body together with the underlying httpResponse.

See ​

LINE Developers documentation


validateBroadcast() ​

validateBroadcast(validateMessageRequest): Promise<MessageAPIResponseBase>

Defined in: lib/messaging-api/api/messagingApiClient.ts:2438

Validate message objects of a broadcast message Calls POST https://api.line.me/v2/bot/message/validate/broadcast. To inspect the HTTP status code or response headers, use validateBroadcastWithHttpInfo.

Parameters ​

validateMessageRequest ​

ValidateMessageRequest

Returns ​

Promise<MessageAPIResponseBase>

A promise resolving to the response body.

See ​

LINE Developers documentation


validateBroadcastWithHttpInfo() ​

validateBroadcastWithHttpInfo(validateMessageRequest): Promise<ApiResponseType<MessageAPIResponseBase>>

Defined in: lib/messaging-api/api/messagingApiClient.ts:2453

Validate message objects of a broadcast message Calls POST https://api.line.me/v2/bot/message/validate/broadcast. This method returns the response body together with the underlying httpResponse.

Parameters ​

validateMessageRequest ​

ValidateMessageRequest

Returns ​

Promise<ApiResponseType<MessageAPIResponseBase>>

A promise resolving to the response body together with the underlying httpResponse.

See ​

LINE Developers documentation


validateMulticast() ​

validateMulticast(validateMessageRequest): Promise<MessageAPIResponseBase>

Defined in: lib/messaging-api/api/messagingApiClient.ts:2474

Validate message objects of a multicast message Calls POST https://api.line.me/v2/bot/message/validate/multicast. To inspect the HTTP status code or response headers, use validateMulticastWithHttpInfo.

Parameters ​

validateMessageRequest ​

ValidateMessageRequest

Returns ​

Promise<MessageAPIResponseBase>

A promise resolving to the response body.

See ​

LINE Developers documentation


validateMulticastWithHttpInfo() ​

validateMulticastWithHttpInfo(validateMessageRequest): Promise<ApiResponseType<MessageAPIResponseBase>>

Defined in: lib/messaging-api/api/messagingApiClient.ts:2489

Validate message objects of a multicast message Calls POST https://api.line.me/v2/bot/message/validate/multicast. This method returns the response body together with the underlying httpResponse.

Parameters ​

validateMessageRequest ​

ValidateMessageRequest

Returns ​

Promise<ApiResponseType<MessageAPIResponseBase>>

A promise resolving to the response body together with the underlying httpResponse.

See ​

LINE Developers documentation


validateNarrowcast() ​

validateNarrowcast(validateMessageRequest): Promise<MessageAPIResponseBase>

Defined in: lib/messaging-api/api/messagingApiClient.ts:2510

Validate message objects of a narrowcast message Calls POST https://api.line.me/v2/bot/message/validate/narrowcast. To inspect the HTTP status code or response headers, use validateNarrowcastWithHttpInfo.

Parameters ​

validateMessageRequest ​

ValidateMessageRequest

Returns ​

Promise<MessageAPIResponseBase>

A promise resolving to the response body.

See ​

LINE Developers documentation


validateNarrowcastWithHttpInfo() ​

validateNarrowcastWithHttpInfo(validateMessageRequest): Promise<ApiResponseType<MessageAPIResponseBase>>

Defined in: lib/messaging-api/api/messagingApiClient.ts:2525

Validate message objects of a narrowcast message Calls POST https://api.line.me/v2/bot/message/validate/narrowcast. This method returns the response body together with the underlying httpResponse.

Parameters ​

validateMessageRequest ​

ValidateMessageRequest

Returns ​

Promise<ApiResponseType<MessageAPIResponseBase>>

A promise resolving to the response body together with the underlying httpResponse.

See ​

LINE Developers documentation


validatePush() ​

validatePush(validateMessageRequest): Promise<MessageAPIResponseBase>

Defined in: lib/messaging-api/api/messagingApiClient.ts:2546

Validate message objects of a push message Calls POST https://api.line.me/v2/bot/message/validate/push. To inspect the HTTP status code or response headers, use validatePushWithHttpInfo.

Parameters ​

validateMessageRequest ​

ValidateMessageRequest

Returns ​

Promise<MessageAPIResponseBase>

A promise resolving to the response body.

See ​

LINE Developers documentation


validatePushWithHttpInfo() ​

validatePushWithHttpInfo(validateMessageRequest): Promise<ApiResponseType<MessageAPIResponseBase>>

Defined in: lib/messaging-api/api/messagingApiClient.ts:2560

Validate message objects of a push message Calls POST https://api.line.me/v2/bot/message/validate/push. This method returns the response body together with the underlying httpResponse.

Parameters ​

validateMessageRequest ​

ValidateMessageRequest

Returns ​

Promise<ApiResponseType<MessageAPIResponseBase>>

A promise resolving to the response body together with the underlying httpResponse.

See ​

LINE Developers documentation


validateReply() ​

validateReply(validateMessageRequest): Promise<MessageAPIResponseBase>

Defined in: lib/messaging-api/api/messagingApiClient.ts:2581

Validate message objects of a reply message Calls POST https://api.line.me/v2/bot/message/validate/reply. To inspect the HTTP status code or response headers, use validateReplyWithHttpInfo.

Parameters ​

validateMessageRequest ​

ValidateMessageRequest

Returns ​

Promise<MessageAPIResponseBase>

A promise resolving to the response body.

See ​

LINE Developers documentation


validateReplyWithHttpInfo() ​

validateReplyWithHttpInfo(validateMessageRequest): Promise<ApiResponseType<MessageAPIResponseBase>>

Defined in: lib/messaging-api/api/messagingApiClient.ts:2595

Validate message objects of a reply message Calls POST https://api.line.me/v2/bot/message/validate/reply. This method returns the response body together with the underlying httpResponse.

Parameters ​

validateMessageRequest ​

ValidateMessageRequest

Returns ​

Promise<ApiResponseType<MessageAPIResponseBase>>

A promise resolving to the response body together with the underlying httpResponse.

See ​

LINE Developers documentation


validateRichMenuBatchRequest() ​

validateRichMenuBatchRequest(richMenuBatchRequest): Promise<MessageAPIResponseBase>

Defined in: lib/messaging-api/api/messagingApiClient.ts:2616

Validate a request body of the Replace or unlink the linked rich menus in batches endpoint. Calls POST https://api.line.me/v2/bot/richmenu/validate/batch. To inspect the HTTP status code or response headers, use validateRichMenuBatchRequestWithHttpInfo.

Parameters ​

richMenuBatchRequest ​

RichMenuBatchRequest

Returns ​

Promise<MessageAPIResponseBase>

A promise resolving to the response body.

See ​

LINE Developers documentation


validateRichMenuBatchRequestWithHttpInfo() ​

validateRichMenuBatchRequestWithHttpInfo(richMenuBatchRequest): Promise<ApiResponseType<MessageAPIResponseBase>>

Defined in: lib/messaging-api/api/messagingApiClient.ts:2632

Validate a request body of the Replace or unlink the linked rich menus in batches endpoint. Calls POST https://api.line.me/v2/bot/richmenu/validate/batch. This method returns the response body together with the underlying httpResponse.

Parameters ​

richMenuBatchRequest ​

RichMenuBatchRequest

Returns ​

Promise<ApiResponseType<MessageAPIResponseBase>>

A promise resolving to the response body together with the underlying httpResponse.

See ​

LINE Developers documentation


validateRichMenuObject() ​

validateRichMenuObject(richMenuRequest): Promise<MessageAPIResponseBase>

Defined in: lib/messaging-api/api/messagingApiClient.ts:2653

Validate rich menu object Calls POST https://api.line.me/v2/bot/richmenu/validate. To inspect the HTTP status code or response headers, use validateRichMenuObjectWithHttpInfo.

Parameters ​

richMenuRequest ​

RichMenuRequest

Returns ​

Promise<MessageAPIResponseBase>

A promise resolving to the response body.

See ​

LINE Developers documentation


validateRichMenuObjectWithHttpInfo() ​

validateRichMenuObjectWithHttpInfo(richMenuRequest): Promise<ApiResponseType<MessageAPIResponseBase>>

Defined in: lib/messaging-api/api/messagingApiClient.ts:2668

Validate rich menu object Calls POST https://api.line.me/v2/bot/richmenu/validate. This method returns the response body together with the underlying httpResponse.

Parameters ​

richMenuRequest ​

RichMenuRequest

Returns ​

Promise<ApiResponseType<MessageAPIResponseBase>>

A promise resolving to the response body together with the underlying httpResponse.

See ​

LINE Developers documentation